(() => {
  'use strict';

  // ================================================
  // 追加画面のイベント
  // ================================================

  // ①追加画面が表示された時のイベント
  kintone.events.on('app.record.create.show', (event) => {
    console.log('追加画面が表示されました。');
  });

  // ②追加画面のフィールド値変更時イベント
  kintone.events.on('app.record.create.change.項目1', (event) => {
    console.log('追加画面の項目１の値が変更されました。');
  });

  // ③追加画面の保存実行前イベント（「保存」ボタンクリック時）
  kintone.events.on('app.record.create.submit', (event) => {
    console.log('追加画面の保存ボタンがクリックされました。');
  });

  // ④追加画面の保存成功後イベント
  kintone.events.on('app.record.create.submit.success', (event) => {
    console.log('追加画面でレコードの保存が成功しました。');
  });

  // ================================================
  // 詳細画面のイベント
  // ================================================

  // ⑤詳細画面が表示された時のイベント
  kintone.events.on('app.record.detail.show', (event) => {
    console.log('詳細画面が表示されました。');
  });

  // ⑥詳細画面のプロセス管理のアクションイベント
  kintone.events.on('app.record.detail.process.proceed', (event) => {
    console.log('詳細画面のプロセス管理でアクションが実行されました');
  });

  // ⑦詳細画面の削除前イベント（ポップアップの「削除する」ボタンクリック時）
  kintone.events.on('app.record.detail.delete.submit', (event) => {
    console.log('詳細画面のポップアップで削除するボタンがクリックされました。');
  });

  // ================================================
  // 編集画面のイベント
  // ================================================

  // ⑧編集画面の表示後イベント
  kintone.events.on('app.record.edit.show', (event) => {
    console.log('編集画面が表示されました。');
  });

  // ⑨編集画面のフィールド値変更時イベント
  kintone.events.on('app.record.edit.change.項目1', (event) => {
    console.log('編集画面の項目１の値が変更されました。');
  });

  // ⑩編集画面の保存実行前イベント（「保存ボタン」クリック時）
  kintone.events.on('app.record.edit.submit', (event) => {
    console.log('編集画面の保存ボタンがクリックされました。');
  });

  // ⑪編集画面の保存成功後イベント
  kintone.events.on('app.record.edit.submit.success', (event) => {
    console.log('編集画面でレコードの保存が成功しました。');
  });
})();
