(() => {
  'use strict';

  // レコード詳細画面の表示時に確度/小計フィールドの値に応じて文字色/背景色を変更する
  kintone.events.on('app.record.detail.show', (event) => {
    const record = event.record;

    const elKakudo = kintone.app.record.getFieldElement('確度');
    const elShokei = kintone.app.record.getFieldElement('小計');

    // 確度フィールド
    switch (record.確度.value) {
      case 'A':
        elKakudo.style.color = 'blue';
        elKakudo.style.fontSize = 'x-large';
        elKakudo.style.fontWeight = 'bold';
        break;
      case 'B':
        elKakudo.style.color = 'green';
        elKakudo.style.fontSize = 'large';
        elKakudo.style.fontWeight = 'bold';
        break;
      case 'C':
        elKakudo.style.color = 'orange';
        elKakudo.style.fontWeight = 'bold';
        break;
    }

    // 小計フィールド
    if (Number(record.小計.value) >= 100000) {
      elShokei.style.backgroundColor = 'yellow';
      elShokei.style.fontWeight = 'bold';
    }
  });

  // レコード一覧画面の表示時に確度/小計フィールドの値に応じて文字色/背景色を変更する
  kintone.events.on('app.record.index.show', (event) => {
    const records = event.records;

    const elKakudo = kintone.app.getFieldElements('確度');
    const elShokei = kintone.app.getFieldElements('小計');

    records.forEach((v, i) => {

      // 確度フィールド
      switch (v.確度.value) {
        case 'A':
          elKakudo[i].style.color = 'blue';
          elKakudo[i].style.fontSize = 'x-large';
          elKakudo[i].style.fontWeight = 'bold';
          break;
        case 'B':
          elKakudo[i].style.color = 'green';
          elKakudo[i].style.fontSize = 'large';
          elKakudo[i].style.fontWeight = 'bold';
          break;
        case 'C':
          elKakudo[i].style.color = 'orange';
          elKakudo[i].style.fontWeight = 'bold';
          break;
      }

      // 小計フィールド
      if (Number(v.小計.value) >= 100000) {
        elShokei[i].style.backgroundColor = 'yellow';
        elShokei[i].style.fontWeight = 'bold';
      }
    });
  });
})();
