(() => {
  'use strict';

  // -------------------------------------
  // 追加画面または編集画面のイベント
  // -------------------------------------
  kintone.events.on([
    'app.record.create.show',
    'app.record.edit.show'
  ], event => {
    const record = event.record;

    console.log('show');

    // 「合計金額」「総合計金額」フィールドを編集不可に設定する
    record.合計金額.disabled = true;
    record.総合計金額.disabled = true;

    // 「明細」テーブルの「小計」フィールドを編集不可に設定する
    record.明細.value.forEach(v => v.value.小計.disabled = true);

    return event;
  });

  // -------------------------------------
  // 「明細」テーブルの値が変更されたイベント
  // -------------------------------------
  kintone.events.on([
    'app.record.create.change.明細',
    'app.record.edit.change.明細'
  ], event => {
    const record = event.record;

    console.log('change.明細');

    // 「明細」テーブルの「小計」フィールドを編集不可に設定する
    record.明細.value.forEach(v => v.value.小計.disabled = true);

    return event;
  });
})();
