(() => {
  'use strict';

  // -------------------------------------
  // 共通関数
  // -------------------------------------
  // 「備考」フィールドの表示/非表示切り替え
  // あり：表示する
  // なし：非表示にする
  const dispNote = flg => {
    if (flg === 'あり') {
      kintone.app.record.setFieldShown('備考', true);
    } else {
      kintone.app.record.setFieldShown('備考', false);
    }
  };

  // -------------------------------------
  // 追加画面または編集画面のイベント
  // -------------------------------------
  kintone.events.on([
    'app.record.create.show',
    'app.record.edit.show'
  ], event => {
    const record = event.record;

    console.log('show');

    // 現在の「備考表示フラグ」フィールドの値に応じて表示/非表示を設定
    dispNote(record.備考表示フラグ.value);

    return event;
  });

  // -------------------------------------
  // 「備考表示フラグ」フィールドの値が変更されたイベント
  // -------------------------------------
  kintone.events.on([
    'app.record.create.change.備考表示フラグ',
    'app.record.edit.change.備考表示フラグ'
  ], event => {
    const record = event.record;

    console.log('change.備考表示フラグ');

    // 現在の「備考表示フラグ」フィールドの値に応じて表示/非表示を設定
    dispNote(record.備考表示フラグ.value);

    return event;
  });
})();
