(() => {
  'use strict';

  // -------------------------------------
  // 一覧画面表示後のイベント
  // -------------------------------------
  kintone.events.on(['app.record.index.show'], event => {

    // ボタンがすでにあれば何もしない
    if (document.getElementById('btnSwitchView') !== null) {
      return;
    }

    // 一覧のメニューの右側の空白部分の要素を取得
    const spHeaderMenuSpaceElement = kintone.app.getHeaderMenuSpaceElement();

    // HTMLボタン要素を作成
    const btnSwitchView = document.createElement('button');
    // ボタンタイプ
    btnSwitchView.type = 'button';
    // ボタン名
    btnSwitchView.innerHTML = '一覧切り替え';
    // ボタン識別ID
    btnSwitchView.id = 'btnSwitchView';
    // kintoneのダイアログのOKボタン 
    btnSwitchView.className = 'kintoneplugin-button-dialog-ok';
    // ボタンクリックイベント
    btnSwitchView.onclick = () => {
      const strQuery = '確度 in ("B")';
      window.location.href = window.location.origin + window.location.pathname + '?query=' + encodeURI(strQuery);
    };
    // 一覧のメニューの右側にボタン要素を追加
    spHeaderMenuSpaceElement.appendChild(btnSwitchView);
  });
})();
