(() => {
  'use strict';

  // -------------------------------------
  // 一覧画面表示後のイベント
  // -------------------------------------
  kintone.events.on(['app.record.index.show'], event => {

    // ボタンがすでにあれば何もしない
    if (document.getElementById('btnSwitchView') !== null) {
      return;
    }

    // 一覧のメニューの右側の空白部分の要素を取得
    const spHeaderMenuSpaceElement = kintone.app.getHeaderMenuSpaceElement();

    // kintone UI Componentを使ってボタンを作成
    const btnSwitchView = new Kuc.Button({
      type: 'submit',
      text: '一覧切り替え',
      id: 'btnSwitchView'
    });

    // ボタンクリックイベント
    btnSwitchView.addEventListener("click", () => {
      const strQuery = '確度 in ("B")';
      window.location.href = window.location.origin + window.location.pathname + '?query=' + encodeURI(strQuery);
    });

    // 一覧のメニューの右側にボタン要素を追加
    spHeaderMenuSpaceElement.appendChild(btnSwitchView);
  });
})();
