(() => {
  'use strict';

  // -------------------------------------
  // 追加画面または編集画面のイベント
  // -------------------------------------
  kintone.events.on([
    'app.record.create.submit',
    'app.record.edit.submit'
  ], event => {
    const record = event.record;

    // エラーフラグを初期化する
    let errorFlg = false;

    // エラーメッセージの内容を設定
    const errorMsg = '入力内容に不備があります。';

    // 「部署名」を入力する場合は「会社名」の入力が必須
    if (!record.会社名.value && record.部署名.value) {
      // 「会社名」フィールドにエラーメッセージを表示する
      record.会社名.error = '部署名の入力時には必須です';
      errorFlg = true;
    }

    // 画面の上部にエラーメッセージを表示する
    if (errorFlg === true) {
      event.error = errorMsg;
    }

    return event;
  });
})();
